Jump to content
guiguan

Uni Call [v6.031]: The missing universal audio, video call and text workflow for Alfred

Recommended Posts

On my MacBook Pro (early 2011), OS X 10.6.8, Alfred 2.0.4, and Unicall 5.0.3, Unicall crashes every time I try to use it. The crash occurs every time I try to enter anything after typing "Call". 

 

Here is crash report:

Process:         bash [10288]

Path:            /bin/bash

Identifier:      bash

Version:         ??? (???)

Code Type:       X86-64 (Native)

Parent Process:  Alfred 2 [93245]

 

Date/Time:       2013-05-31 18:37:18.673 -0400

OS Version:      Mac OS X 10.6.8 (10K549)

Report Version:  6

 

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)

Exception Codes: KERN_INVALID_ADDRESS at 0xfffffffffffffff8

Crashed Thread:  Unknown

 

Backtrace not available

 

Unknown thread crashed with X86 Thread State (64-bit):

  rax: 0x0000000000000055  rbx: 0x0000000000000000  rcx: 0x0000000000000000  rdx: 0x0000000000000000

  rdi: 0x0000000000000000  rsi: 0x0000000000000000  rbp: 0x0000000000000000  rsp: 0x0000000000000000

   r8: 0x0000000000000000   r9: 0x0000000000000000  r10: 0x0000000000000000  r11: 0x0000000000000000

  r12: 0x0000000000000000  r13: 0x0000000000000000  r14: 0x0000000000000000  r15: 0x0000000000000000

  rip: 0x00007fff5fc01028  rfl: 0x0000000000010203  cr2: 0xfffffffffffffff8

 

Binary images description not available

Hi macwish. I am afraid that you may have to upgrade your Mac OS X to 10.8 in order to use Uni Call.

Share this post


Link to post

That's what I was afraid of, but I did not find the OS X requirements on the Uni Call site. Too bad, as I won't update from 10.6.8 to 10.8 until forced to when I buy a new Mac.

Share this post


Link to post

That's what I was afraid of, but I did not find the OS X requirements on the Uni Call site. Too bad, as I won't update from 10.6.8 to 10.8 until forced to when I buy a new Mac.

I can try to compile the source code for 10.6.8 tomorrow for you. But I cannot guarantee anything.

Share this post


Link to post

That's what I was afraid of, but I did not find the OS X requirements on the Uni Call site. Too bad, as I won't update from 10.6.8 to 10.8 until forced to when I buy a new Mac.

 

 

 

I can try to compile the source code for 10.6.8 tomorrow for you. But I cannot guarantee anything.

 

No luck mate. The Mac OS X 10.8 is strictly required. The hardware required of upgrading to 10.8 from 10.6.8 is not that demanding, why do you need to buy a new Mac for it? :P

Share this post


Link to post

Like many other Snow Leopard users, I have experimented with Lion and Mountain Lion and have found the experience, like many other, to be underwhelming. And since I need Rosetta, I will not upgrade to 10.8 until forced to by new equipment or by Apple decided to abandon support for Snow Leopard.

Share this post


Link to post

Like many other Snow Leopard users, I have experimented with Lion and Mountain Lion and have found the experience, like many other, to be underwhelming. And since I need Rosetta, I will not upgrade to 10.8 until forced to by new equipment or by Apple decided to abandon support for Snow Leopard.

 

Oh, I see your point. Just FYI, the Xcode 4.6 has already dropped the support for Snow Leopard. Hope you can get a new Mac very soon :)

Share this post


Link to post

It worked, then I re-installet Skype and now I get this, any ideas?

 

Screen%20Shot%202013-06-06%20at%2011.34.

Remove AppleScript in "Manage API Clients" and restart Skype and try again?

Share this post


Link to post

Remove AppleScript in "Manage API Clients" and restart Skype and try again?

thanks, but how would I go about that?

Share this post


Link to post

thanks, but how would I go about that?

 

From your Skype's main menu: Skype -> Manage API Clients... -> remove all entries for AppleScript and then restart your Skype

 

If this doesn't work out for you, please consider using AppDelete or Clean My Mac to completely uninstall your Skype and install it again :P

Share this post


Link to post

thanks, but how would I go about that?

 

Hang on, I got the same problem after I upgraded my Skype to Version 6.5.0.443.

Share this post


Link to post

thanks, but how would I go about that?

 

I found that the new Skype Version 6.5.0.443 somehow denies all command sent through AppleScript API which it claimed to support. I have filled a bug report at here: http://devforum.skype.com/t5/Desktop-API/AppleScript-API-not-working-anymore-in-Skype-Version-6-5-0-433/td-p/23306

 

At the mean time, I am afraid that you may have to downgrade your Skype to Version 6.4 in order to keep using Skype Call. :( 

Share this post


Link to post

I found that the new Skype Version 6.5.0.443 somehow denies all command sent through AppleScript API which it claimed to support. I have filled a bug report at here: http://devforum.skype.com/t5/Desktop-API/AppleScript-API-not-working-anymore-in-Skype-Version-6-5-0-433/td-p/23306

 

At the mean time, I am afraid that you may have to downgrade your Skype to Version 6.4 in order to keep using Skype Call. :(

roger that

Share this post


Link to post

Hey, guys. Thanks for using Uni Call. Now, I have added two more call components: CallTrunk and Fritz!Box for you to play with. Please upgrade now!

 

Also, I have added a donation button:

 

donate.png

 

If you like Uni Call, please consider making a small donation to me via PayPal as to show your thanks and support for my work :)

 

Changelog:

 

v5.1 (07/06/13)
  • Fixed a minor bug of Skype Call that could prevent non-English platform from working properly
  • Added CallTrunk Call component. The user can use --setdefaultcountry long option to set a default country specific Call Trunk to use. Also, the user can provide an extra parameter to overwrite the default country, for example, using "callk guan gui /au" to call Guan Gui via AU version of Call Trunk.
  • Added Fritz!Box Call component
Edited by guiguan

Share this post


Link to post

Hi,

 

Is it possible to support a Fritz!Box device ? (http://www.avm.de). If you are prepared to support it I can offer test assistance.

 

Note: Perhaps the easiest way is to call the dialer script offered by Frizzix.

 

Peter

 

Here you go. tooh. I have added the Fritz!Box support in Uni Call v5.1. Please test it out :)

Share this post


Link to post

Uni Call v5.2 has just released. Please upgrade now!

 

Changelog:

 

v5.2 (13/06/13)
  • Now Skype Call component is compatible with the new Skype 6.5: the original skypecall.scpt AppleScript is rewritten in Objective C using Skype framework. The new Skype Call component is now more efficient and robust.

 

It worked, then I re-installet Skype and now I get this, any ideas?

 

Screen%20Shot%202013-06-06%20at%2011.34.

 

Now, you can upgrade to the newest Skype :)

Edited by guiguan

Share this post


Link to post

i might look stupid but once installed I am typing call --updatealfredpreferences yes in Alfred but it goes on google for search. Can someone help me? I am not sure how to install UNICALL. thanks

Share this post


Link to post

i might look stupid but once installed I am typing call --updatealfredpreferences yes in Alfred but it goes on google for search. Can someone help me? I am not sure how to install UNICALL. thanks

Did "call -" show you a list of Uni Call options?

Share this post


Link to post

Did "call -" show you a list of Uni Call options?

No it did not, when I type calls, I can see that UNIcall is selected but then the next type I do wether it is a space or a letter it goes to Google, Amazon or wiki options. I would really like to find a solution and start using uncial

Share this post


Link to post

No it did not, when I type calls, I can see that UNIcall is selected but then the next type I do wether it is a space or a letter it goes to Google, Amazon or wiki options. I would really like to find a solution and start using uncial

 

Please make sure you are using Mac OS X 10.8+

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×